org.eclipse.jetty.rewrite.handler

## Class CookiePatternRule

- java.lang.Object
- - org.eclipse.jetty.rewrite.handler.Rule
  - - org.eclipse.jetty.rewrite.handler.PatternRule
    - - org.eclipse.jetty.rewrite.handler.CookiePatternRule

-     public class CookiePatternRule
      extends PatternRule

  Sets the cookie in the response whenever the rule finds a match.
  See Also:
    `Cookie`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.jetty.rewrite.handler.Rule

      `Rule.ApplyURI`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.rewrite.handler.PatternRule

      `_pattern`

    - ### Fields inherited from class org.eclipse.jetty.rewrite.handler.Rule

      `_handling, _terminating`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookiePatternRule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `apply(String target, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Apply the rule to the request
    `void` | `setName(String name)` Assigns the cookie name.
    `void` | `setValue(String value)` Assigns the cookie value.
    `String` | `toString()` Returns the cookie contents.

    - ### Methods inherited from class org.eclipse.jetty.rewrite.handler.PatternRule

      `getPattern, matchAndApply, setPattern`

    - ### Methods inherited from class org.eclipse.jetty.rewrite.handler.Rule

      `isHandling, isTerminating, setHandling, setTerminating`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CookiePatternRule

          public CookiePatternRule()

  - ### Method Detail

    - #### setName

          public void setName(String name)

      Assigns the cookie name.
      Parameters:
        `name` - a `String` specifying the name of the cookie.

    - #### setValue

          public void setValue(String value)

      Assigns the cookie value.
      Parameters:
        `value` - a `String` specifying the value of the cookie
      See Also:
        `Cookie.setValue(String)`

    - #### apply

          public String apply(String target,
                     javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response)
                       throws IOException

      Description copied from class: `PatternRule`
      Apply the rule to the request
      Specified by:
        `apply` in class `PatternRule`
      Parameters:
        `target` - field to attempt match
        `request` - request object
        `response` - response object
      Returns:
        The target (possible updated)
      Throws:
        `IOException` - exceptions dealing with operating on request or response objects

    - #### toString

          public String toString()

      Returns the cookie contents.
      Overrides:
        `toString` in class `PatternRule`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.